#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - perl-git preinstallation
#
# Creation   :  2022-04-05 holbru
# Last update:  $Id: preinstall.sh 96112 2022-05-16 13:51:22Z hbfl $
#
# Copyright (c) 2022-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=perl-git

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed_version=$(eisman check git-core 3.2.1)

if [ "${installed_version}" = "new" ]
then
    if [ -f /etc/filelist.d/git-core-files.txt ]
    then
        sed -i "/usr\/lib\/perl5/d" /etc/filelist.d/git-core-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
